zlanhs.f(3)

NAME
zlanhs.f -

SYNOPSIS

  Functions/Subroutines
DOUBLE PRECISION function zlanhs (NORM, N, A, LDA, WORK)
ZLANHS returns the value of the 1-norm, Frobenius norm, infinity-norm, or the largest absolute value of any element of an upper Hessenberg matrix.

Function/Subroutine Documentation

  DOUBLE PRECISION function zlanhs (characterNORM, integerN, complex*16, dimension( lda, * )A, integerLDA, double precision, dimension( * )WORK)

ZLANHS returns the value of the 1-norm, Frobenius norm, infinity-norm, or the largest absolute value of any element of an upper Hessenberg matrix.

Purpose:

     ZLANHS  returns the value of the one norm,  or the Frobenius norm, or
     the  infinity norm,  or the  element of  largest absolute value  of a
     Hessenberg matrix A.

Returns:
    ZLANHS

        ZLANHS = ( max(abs(A(i,j))), NORM = 'M' or 'm'
                 (
                 ( norm1(A),         NORM = '1', 'O' or 'o'
                 (
                 ( normI(A),         NORM = 'I' or 'i'
                 (
                 ( normF(A),         NORM = 'F', 'f', 'E' or 'e'
     where  norm1  denotes the  one norm of a matrix (maximum column sum),
     normI  denotes the  infinity norm  of a matrix  (maximum row sum) and
     normF  denotes the  Frobenius norm of a matrix (square root of sum of
     squares).  Note that  max(abs(A(i,j)))  is not a consistent matrix norm.

Parameters:
    NORM

              NORM is CHARACTER*1
              Specifies the value to be returned in ZLANHS as described
              above.

    N

              N is INTEGER
              The order of the matrix A.  N >= 0.  When N = 0, ZLANHS is
              set to zero.

    A

              A is COMPLEX*16 array, dimension (LDA,N)
              The n by n upper Hessenberg matrix A; the part of A below the
              first sub-diagonal is not referenced.

    LDA

              LDA is INTEGER
              The leading dimension of the array A.  LDA >= max(N,1).

    WORK

              WORK is DOUBLE PRECISION array, dimension (MAX(1,LWORK)),
              where LWORK >= N when NORM = 'I'; otherwise, WORK is not
              referenced.

Author:
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Date:
    September 2012

Definition at line 110 of file zlanhs.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.